GMX-DISRE(1)

NAME
gmx-disre - Analyze distance restraints

SYNOPSIS

gmx disre [-s [<.tpr>]] [-f [<.xtc/.trr/...>]] [-n [<.ndx>]]
          [-c [<.ndx>]] [-ds [<.xvg>]] [-da [<.xvg>]] [-dn [<.xvg>]]
          [-dm [<.xvg>]] [-dr [<.xvg>]] [-l [<.log>]] [-q [<.pdb>]]
          [-x [<.xpm>]] [-b <time>] [-e <time>] [-dt <time>] [-[no]w]
          [-xvg <enum>] [-ntop <int>] [-maxdr <real>]
          [-nlevels <int>] [-[no]third]

DESCRIPTION

gmx disre computes violations of distance restraints. The program always computes the instantaneous violations rather than time-averaged, because this analysis is done from a trajectory file afterwards it does not make sense to use time averaging. However, the time averaged values per restraint are given in the log file.

An index file may be used to select specific restraints for printing.

When the optional -q flag is given a .pdb file coloured by the amount of average violations.

When the -c option is given, an index file will be read containing the frames in your trajectory corresponding to the clusters (defined in another manner) that you want to analyze. For these clusters the program will compute average violations using the third power averaging algorithm and print them in the log file.

OPTIONS

Options to specify input files:

-s [<.tpr>] (topol.tpr)
    Portable xdr run input file

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-n [<.ndx>] (viol.ndx) (Optional)
    Index file

-c [<.ndx>] (clust.ndx) (Optional)
    Index file

    Options to specify output files:

-ds [<.xvg>] (drsum.xvg)
    xvgr/xmgr file

-da [<.xvg>] (draver.xvg)
    xvgr/xmgr file

-dn [<.xvg>] (drnum.xvg)
    xvgr/xmgr file

-dm [<.xvg>] (drmax.xvg)
    xvgr/xmgr file

-dr [<.xvg>] (restr.xvg)
    xvgr/xmgr file

-l [<.log>] (disres.log)
    Log file

-q [<.pdb>] (viol.pdb) (Optional)
    Protein data bank file

-x [<.xpm>] (matrix.xpm) (Optional)
    X PixMap compatible matrix file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-ntop <int> (0)
    Number of large violations that are stored in the log file every step

-maxdr <real> (0)
    Maximum distance violation in matrix output. If less than or equal to 0 the maximum will be determined by the data.

-nlevels <int> (20)
    Number of levels in the matrix output

-[no]third (yes)
    Use inverse third power averaging or linear for matrix output

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team